gradle: upgrade wrapper
[olsrd.git] / lib / info.java / gradlew
1 #!/usr/bin/env sh
2
3 #
4 # Copyright 2015 the original author or authors.
5 #
6 # Licensed under the Apache License, Version 2.0 (the "License");
7 # you may not use this file except in compliance with the License.
8 # You may obtain a copy of the License at
9 #
10 #      https://www.apache.org/licenses/LICENSE-2.0
11 #
12 # Unless required by applicable law or agreed to in writing, software
13 # distributed under the License is distributed on an "AS IS" BASIS,
14 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
15 # See the License for the specific language governing permissions and
16 # limitations under the License.
17 #
18
19 ##############################################################################
20 ##
21 ##  Gradle start up script for UN*X
22 ##
23 ##############################################################################
24
25 # Attempt to set APP_HOME
26 # Resolve links: $0 may be a link
27 PRG="$0"
28 # Need this for relative symlinks.
29 while [ -h "$PRG" ] ; do
30     ls=`ls -ld "$PRG"`
31     link=`expr "$ls" : '.*-> \(.*\)$'`
32     if expr "$link" : '/.*' > /dev/null; then
33         PRG="$link"
34     else
35         PRG=`dirname "$PRG"`"/$link"
36     fi
37 done
38 SAVED="`pwd`"
39 cd "`dirname \"$PRG\"`/" >/dev/null
40 APP_HOME="`pwd -P`"
41 cd "$SAVED" >/dev/null
42
43 APP_NAME="Gradle"
44 APP_BASE_NAME=`basename "$0"`
45
46 # Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
47 DEFAULT_JVM_OPTS='"-Xmx64m" "-Xms64m"'
48
49 # Use the maximum available, or set MAX_FD != -1 to use that value.
50 MAX_FD="maximum"
51
52 warn () {
53     echo "$*"
54 }
55
56 die () {
57     echo
58     echo "$*"
59     echo
60     exit 1
61 }
62
63 # OS specific support (must be 'true' or 'false').
64 cygwin=false
65 msys=false
66 darwin=false
67 nonstop=false
68 case "`uname`" in
69   CYGWIN* )
70     cygwin=true
71     ;;
72   Darwin* )
73     darwin=true
74     ;;
75   MINGW* )
76     msys=true
77     ;;
78   NONSTOP* )
79     nonstop=true
80     ;;
81 esac
82
83 CLASSPATH=$APP_HOME/.gradle-wrapper/gradle-wrapper.jar
84
85 # Determine the Java command to use to start the JVM.
86 if [ -n "$JAVA_HOME" ] ; then
87     if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
88         # IBM's JDK on AIX uses strange locations for the executables
89         JAVACMD="$JAVA_HOME/jre/sh/java"
90     else
91         JAVACMD="$JAVA_HOME/bin/java"
92     fi
93     if [ ! -x "$JAVACMD" ] ; then
94         die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME
95
96 Please set the JAVA_HOME variable in your environment to match the
97 location of your Java installation."
98     fi
99 else
100     JAVACMD="java"
101     which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
102
103 Please set the JAVA_HOME variable in your environment to match the
104 location of your Java installation."
105 fi
106
107 # Increase the maximum file descriptors if we can.
108 if [ "$cygwin" = "false" -a "$darwin" = "false" -a "$nonstop" = "false" ] ; then
109     MAX_FD_LIMIT=`ulimit -H -n`
110     if [ $? -eq 0 ] ; then
111         if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ] ; then
112             MAX_FD="$MAX_FD_LIMIT"
113         fi
114         ulimit -n $MAX_FD
115         if [ $? -ne 0 ] ; then
116             warn "Could not set maximum file descriptor limit: $MAX_FD"
117         fi
118     else
119         warn "Could not query maximum file descriptor limit: $MAX_FD_LIMIT"
120     fi
121 fi
122
123 # For Darwin, add options to specify how the application appears in the dock
124 if $darwin; then
125     GRADLE_OPTS="$GRADLE_OPTS \"-Xdock:name=$APP_NAME\" \"-Xdock:icon=$APP_HOME/media/gradle.icns\""
126 fi
127
128 # For Cygwin, switch paths to Windows format before running java
129 if $cygwin ; then
130     APP_HOME=`cygpath --path --mixed "$APP_HOME"`
131     CLASSPATH=`cygpath --path --mixed "$CLASSPATH"`
132     JAVACMD=`cygpath --unix "$JAVACMD"`
133
134     # We build the pattern for arguments to be converted via cygpath
135     ROOTDIRSRAW=`find -L / -maxdepth 1 -mindepth 1 -type d 2>/dev/null`
136     SEP=""
137     for dir in $ROOTDIRSRAW ; do
138         ROOTDIRS="$ROOTDIRS$SEP$dir"
139         SEP="|"
140     done
141     OURCYGPATTERN="(^($ROOTDIRS))"
142     # Add a user-defined pattern to the cygpath arguments
143     if [ "$GRADLE_CYGPATTERN" != "" ] ; then
144         OURCYGPATTERN="$OURCYGPATTERN|($GRADLE_CYGPATTERN)"
145     fi
146     # Now convert the arguments - kludge to limit ourselves to /bin/sh
147     i=0
148     for arg in "$@" ; do
149         CHECK=`echo "$arg"|egrep -c "$OURCYGPATTERN" -`
150         CHECK2=`echo "$arg"|egrep -c "^-"`                                 ### Determine if an option
151
152         if [ $CHECK -ne 0 ] && [ $CHECK2 -eq 0 ] ; then                    ### Added a condition
153             eval `echo args$i`=`cygpath --path --ignore --mixed "$arg"`
154         else
155             eval `echo args$i`="\"$arg\""
156         fi
157         i=$((i+1))
158     done
159     case $i in
160         (0) set -- ;;
161         (1) set -- "$args0" ;;
162         (2) set -- "$args0" "$args1" ;;
163         (3) set -- "$args0" "$args1" "$args2" ;;
164         (4) set -- "$args0" "$args1" "$args2" "$args3" ;;
165         (5) set -- "$args0" "$args1" "$args2" "$args3" "$args4" ;;
166         (6) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" ;;
167         (7) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" ;;
168         (8) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" "$args7" ;;
169         (9) set -- "$args0" "$args1" "$args2" "$args3" "$args4" "$args5" "$args6" "$args7" "$args8" ;;
170     esac
171 fi
172
173 # Escape application args
174 save () {
175     for i do printf %s\\n "$i" | sed "s/'/'\\\\''/g;1s/^/'/;\$s/\$/' \\\\/" ; done
176     echo " "
177 }
178 APP_ARGS=$(save "$@")
179
180 # Collect all arguments for the java command, following the shell quoting and substitution rules
181 eval set -- $DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS "\"-Dorg.gradle.appname=$APP_BASE_NAME\"" -classpath "\"$CLASSPATH\"" org.gradle.wrapper.GradleWrapperMain "$APP_ARGS"
182
183 # by default we should be in the correct project dir, but when run from Finder on Mac, the cwd is wrong
184 if [ "$(uname)" = "Darwin" ] && [ "$HOME" = "$PWD" ]; then
185   cd "$(dirname "$0")"
186 fi
187
188 exec "$JAVACMD" "$@"